# Copyright 2020 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARM NEON
- name: xnn_f32_pavgpool_minmax_ukernel_9p8x__neon_c4
  init: xnn_init_f32_minmax_scalar_params
# x86 SSE
- name: xnn_f32_pavgpool_minmax_ukernel_9p8x__sse_c4
  init: xnn_init_f32_minmax_sse_params
# WAsm SIMD
- name: xnn_f32_pavgpool_minmax_ukernel_9p8x__wasmsimd_arm_c4
  init: xnn_init_f32_minmax_wasmsimd_params
- name: xnn_f32_pavgpool_minmax_ukernel_9p8x__wasmsimd_x86_c4
  init: xnn_init_f32_minmax_wasmsimd_params
# WAsm
- name: xnn_f32_pavgpool_minmax_ukernel_9p8x__wasm_c1
  init: xnn_init_f32_minmax_scalar_params
# Scalar
- name: xnn_f32_pavgpool_minmax_ukernel_9p8x__scalar_c1
  init: xnn_init_f32_minmax_scalar_params
# ARM NEON
- name: xnn_f32_pavgpool_minmax_ukernel_9x__neon_c4
  init: xnn_init_f32_minmax_scalar_params
# x86 SSE
- name: xnn_f32_pavgpool_minmax_ukernel_9x__sse_c4
  init: xnn_init_f32_minmax_sse_params
# WAsm SIMD
- name: xnn_f32_pavgpool_minmax_ukernel_9x__wasmsimd_arm_c4
  init: xnn_init_f32_minmax_wasmsimd_params
- name: xnn_f32_pavgpool_minmax_ukernel_9x__wasmsimd_x86_c4
  init: xnn_init_f32_minmax_wasmsimd_params
# WAsm
- name: xnn_f32_pavgpool_minmax_ukernel_9x__wasm_c1
  init: xnn_init_f32_minmax_scalar_params
# Scalar
- name: xnn_f32_pavgpool_minmax_ukernel_9x__scalar_c1
  init: xnn_init_f32_minmax_scalar_params
